package com.gic.evaluate.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.evaluate.dto.ProblemDTO;
import com.gic.evaluate.dto.ProblemMemberReplyDTO;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-02 10:31
 */
public interface ProblemHaobanApiService {

    /**
     * 保存投诉
     * @Title: saveProblem
     * @Description:
     * @author zhiwj
     * @param problemDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveProblem(ProblemDTO problemDTO);

    /**
     *
     * @Title: saveProblem
     * @Description:
     * @author zhiwj
     * @param problemMemberReplyDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveProblemReply(ProblemMemberReplyDTO problemMemberReplyDTO);
}
